{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"Google Ad Library","description":"Scrape the Google Ad Transparency Library. *This only gets the public ads. Some ads you need to log in for and sadly we can't get those. Also, since there are so many variations, the return types might not all be 100% the same. Email me for suggestions. Also this endpoint is pretty new, if you find any errors or irregularities, please email me: support@scrapecreators.com"}],"paths":{"/v1/google/adLibrary/advertisers/search":{"get":{"tags":["Google Ad Library"],"summary":"Advertiser Search","description":"Searches the Google Ad Transparency Library for advertisers by name. Returns a list of matching advertisers with their name, advertiser_id, and region, plus a list of associated website domains. Use the returned advertiser_id to look up a company's ads.","parameters":[{"name":"query","in":"query","required":true,"description":"The query to search for","schema":{"type":"string"},"example":"nike"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"success":true,"credits_remaining":9994695,"advertisers":[{"name":"Nike Lee","advertiser_id":"AR18100938063227125761","region":"US"}],"websites":[{"domain":"nike.ae"}]}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}